# Generate Report

Kicks off async report generation for a run. Errors unless the run is Completed or Stopped.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

About

Generate Report endpoint starts asynchronous report generation for an Attack Path Validation simulation run. The run must be Completed or Stopped; otherwise the request returns an error.

Send the report formats to generate in the format list. The response returns one entry per requested format with its report_id and whether generation has started. Use Report Status to follow the generation and Report Download with the report_id to get the download URL once it is completed.

Example

Generate a PDF report for run {run_uuid} of simulation {simulation_uuid}.

curl --request POST \
     --url https://api.picussecurity.com/v1/apv/simulations/{simulation_uuid}/runs/{run_uuid}/report \
     --header 'Accept: application/json' \
     --header 'Content-Type: application/json' \
     --header 'Authorization: Bearer access_token' \
     --data '{
  "format": ["PDF"]
}'
{
  "reports": [
    {
      "format": "PDF",
      "is_generation_started": true,
      "report_id": 8801
    }
  ]
}
Path Params
string
required

Simulation UUID

string
required

Run UUID

Body Params
format
array of strings

Report formats to generate.

format
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json